import 'package:siro_driver/constant/box_name.dart';
import 'package:siro_driver/main.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'colors.dart';

class AppStyle {
  static TextStyle get headTitle => TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 36,
      color: AppColor.accentColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          // ?GoogleFonts.markaziText().fontFamily
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle get headTitle2 => TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 24,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle get title => TextStyle(
      fontWeight: FontWeight.normal,
      fontSize: 16,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle get subtitle => TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 12,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle get number => TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 14,
      color: AppColor.writeColor,
      fontFamily: 'digit');

  static BoxDecoration get boxDecoration => BoxDecoration(
      boxShadow: [
        BoxShadow(
            color: AppColor.accentColor.withValues(alpha: 0.3),
            blurRadius: 5,
            offset: const Offset(2, 4)),
        BoxShadow(
            color: AppColor.accentColor.withValues(alpha: 0.1),
            blurRadius: 5,
            offset: const Offset(-2, -2))
      ],
      color: AppColor.secondaryColor,
      borderRadius: const BorderRadius.all(
        Radius.elliptical(15, 30),
      ));
  static BoxDecoration get boxDecoration1 => BoxDecoration(
    boxShadow: [
      BoxShadow(
          color: Colors.black.withValues(alpha: 0.05),
          blurRadius: 10,
          offset: const Offset(0, 4)),
      BoxShadow(
          color: AppColor.primaryColor.withValues(alpha: 0.02),
          blurRadius: 5,
          offset: const Offset(-2, -2))
    ],
    color: AppColor.secondaryColor,
    borderRadius: const BorderRadius.all(
      Radius.elliptical(15, 30),
    ),
  );
}
